commit:     f17760b18083fbf752095da36056e4bf86d96d40
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 29 21:15:21 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Dec 30 22:19:51 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f17760b1

sci-libs/geos: Drop USE python

Long obsolete, use sci-libs/Shapely instead.

Closes: https://bugs.gentoo.org/704212
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sci-libs/geos/geos-3.8.0-r1.ebuild | 52 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/sci-libs/geos/geos-3.8.0-r1.ebuild 
b/sci-libs/geos/geos-3.8.0-r1.ebuild
new file mode 100644
index 00000000000..9e41eddd122
--- /dev/null
+++ b/sci-libs/geos/geos-3.8.0-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PV=${PV/_/}
+
+DESCRIPTION="Geometry engine library for Geographic Information Systems"
+HOMEPAGE="http://trac.osgeo.org/geos/";
+SRC_URI="http://download.osgeo.org/geos/${PN}-${MY_PV}.tar.bz2";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris"
+IUSE="doc python ruby static-libs"
+
+BDEPEND="
+       doc? ( app-doc/doxygen )
+       ruby? ( dev-lang/swig:0 )
+"
+RDEPEND="
+       ruby? ( dev-lang/ruby:* )
+"
+DEPEND="${RDEPEND}"
+
+RESTRICT="test"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+src_prepare() {
+       default
+       echo "#!${EPREFIX}/bin/bash" > py-compile
+}
+
+src_configure() {
+       econf \
+               --disable-python \
+               $(use_enable ruby) \
+               $(use_enable static-libs static)
+}
+
+src_compile() {
+       default
+       use doc && emake -C doc doxygen-html
+}
+
+src_install() {
+       use doc && HTML_DOCS=( doc/doxygen_docs/html/. )
+       default
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to